using System;
using PkmnLibSharp.Utilities;

namespace PkmnLibSharp.Battling
{
    public sealed class HitData : PointerWrapper
    {
        internal HitData(IntPtr ptr) : base(ptr){}

        public byte BasePower => Creaturelib.Generated.HitData.GetBasePower(Ptr);
        public bool IsCritical => Creaturelib.Generated.HitData.IsCritical(Ptr) == 1;
        public float Effectiveness => Creaturelib.Generated.HitData.GetEffectiveness(Ptr);
        public uint Damage => Creaturelib.Generated.HitData.GetDamage(Ptr);
        public byte Type => Creaturelib.Generated.HitData.GetType(Ptr);
        
        protected override void DeletePtr()
        {
            
        }
    }
}